function imFlow =GetCarFlowImage(imClean)
% Return the binary image in which each car flow is divided
% In extremely congested situation,it is neccessary to manually check
% whether two vehicles are incorrect linked at certain point.
    imFlow = imClean;
    % The value of these parameters are depending on the quality of image.
     h = fspecial('gaussian',5,5);  % Mask for Gaussian Bluring
     se1 = strel('line',4,0);      % Element for horizontal erode
     se2 = strel('line',3,90);      % Element for vertical erode
     se4 = strel('line',3,135);     % Element for erode with angle as 135
% 
    %imFlow = imFlow(1:end-2,:);     % The last two row is surprisingly noisy, so delet these two rows. If the data were correct, this line is not necessary.
     for i = 1:3       % The iteration time may have a little impact, 3 is a reasonable choise.
         imFlow=imfilter(imFlow,h);
         imFlow(imFlow>1) = 255;
         imFlow = imerode(imFlow,se1);
         imFlow = imerode(imFlow,se2);
         imFlow = imerode(imFlow,se4);
         imFlow=imfill(imFlow,'holes');
     end

end