function gb=picture_transform(directory_name,fittingpars,examplename,transposed,order)

close all;
dbstop if error

punt=find(examplename=='.');
extentie=examplename(punt(end)+1:end);
examplename=examplename(1:punt(end)-1);
nummer=examplename>='0'&examplename<='9';
tot=min(find(nummer));
image_names = dir([directory_name filesep examplename(1:tot-1) '*.' extentie]);


numframes = numel(image_names);

if numframes > 0
    im=imread([directory_name filesep image_names(1).name]);
    
    if(transposed)
        fittingpars=fliplr(fittingpars);
        im=permute(im,[2 1 3]);
    end
    
    p=polyfit(fittingpars(:,1),fittingpars(:,2),order);
    x=1:size(im,2);
    midden=round(polyval(p,x));

    midden(midden<1)=1;

    k=1;
    cimage_name = [directory_name filesep image_names(k).name];
    %dummy = imread(cimage_name);
    %dummy = im;
    midden(midden>size(im,1))=size(im,1);
    kleuren=size(im,3);
    gb=uint8(zeros([numframes size(im,2) kleuren]));
    
    x=1:size(im,2);
    %nummering in dummy: eerst kolom 1 alle rijen, dan kolom 2, alle rijen
    %etc.
    %Dus soswieso optellen: size(im,1)*(1:size(im,2)-1)
    positie=size(im,1)*((1:size(im,2))-1)+midden;
    for k= 1:numel(image_names)
        disp(['Reading frame: ' num2str(k)]);

        cimage_name = [directory_name filesep image_names(k).name];
        if(~transposed)
        dummy = imread(cimage_name);
        else
            dummy = imread(cimage_name)';
        end
        % get only the area of interest
        if(kleuren>1)
            for(kl=1:kleuren)
                subimage=dummy(:,:,kl);
                subdummy = subimage(positie);
                gb(k,:,kl) = (subdummy);
            end
            
        else
            
        subdummy = dummy(positie);
        gb(k,:) = (subdummy);
        end
        
    end;
    disp('Finished...');
    %         dummy = (gb);
    %         figure(1);
    %         imshow(uint8(gb));
    c=clock;fname=num2str(c(1:5),'%02g');
    fname(fname==' ')='_';
    
    imwrite(gb,['transformed_' fname '.jpg']);
    figure;imshow(gb);
    
end

